package gui.constants;

import imgui.ImFont;
import imgui.ImFontConfig;
import imgui.ImFontGlyphRangesBuilder;
import imgui.ImGui;

public class Fonts {

	public static ImFont ARIAL;
	public static ImFont ARIAL_BOLD;
	public static ImFont CHERI;
	public static ImFont COMIC;
	public static ImFont INFECTED;
	public static ImFont EMOJIS;

	private static final String baseDir = "";

	public static void createFonts() {
		ImFontGlyphRangesBuilder builder = new ImFontGlyphRangesBuilder();
		builder.addRanges(ImGui.getIO().getFonts().getGlyphRangesDefault());
		builder.addRanges(ImGui.getIO().getFonts().getGlyphRangesCyrillic());
		// builder.addRanges(ImGui.getIO().getFonts().getGlyphRangesChineseFull());
		ImFontConfig cfg = new ImFontConfig();
		cfg.setGlyphRanges(builder.buildRanges());

		COMIC = ImGui.getIO().getFonts().addFontFromFileTTF(baseDir + "comic.ttf", 50.0f);
		ARIAL_BOLD = ImGui.getIO().getFonts().addFontFromFileTTF(baseDir + "arial_bold.ttf", 50.0f);
		ARIAL = ImGui.getIO().getFonts().addFontFromFileTTF(baseDir + "arial.ttf", 50.0f, cfg);
		CHERI = ImGui.getIO().getFonts().addFontFromFileTTF(baseDir + "cheri.ttf", 50.0f);
		INFECTED = ImGui.getIO().getFonts().addFontFromFileTTF(baseDir + "INFECTED.ttf", 50.0f);
	}

}
